收藏
回答

调试基础库对线上有影响吗?

在调试基础库那里选了一个低版本,比如2.9.5,提交上传了,线上该小程序用的是哪个基础库呢?最新的?还是2.9.5呢

回答关注问题邀请回答
收藏

3 个回答

  • UNKNOWN
    UNKNOWN
    2021-04-12

    小程序使用哪个基础库,是以用户微信版本携带基础库为准。

    如果你使用高版本基础库支持的API,需要兼容低版本不支持的case

    2021-04-12
    有用 1
    回复 3
    • Evergreen
      Evergreen
      2021-04-12
      所以开发工具的基础库只是用来测试用户各个微信版本的表现,并不影响线上情况?
      2021-04-12
      回复
    • UNKNOWN
      UNKNOWN
      2021-04-12回复Evergreen
      可以这样理解
      2021-04-12
      回复
    • Evergreen
      Evergreen
      2021-04-12回复UNKNOWN
      好的,谢谢
      2021-04-12
      回复
  • 订阅happiness
    订阅happiness
    2021-04-12

    你设置最低基础库是让 低于这个基础库版本的 微信app使用不了你的小程序 会提醒你更新app版本。

    更新后即可使用。

    2021-04-12
    有用
    回复 1
    • Evergreen
      Evergreen
      2021-04-12
      嗯嗯~我是发布上线后,才发现调试基础库那里是2.9.5,所以想着会不会影响线上
      2021-04-12
      回复
  • 鲤子
    鲤子
    2021-04-12

    线上的可以在后台管理那里选择最低基础库,用户微信版本达不到可能会提醒更新app。

    2021-04-12
    有用
    回复 4
    • Evergreen
      Evergreen
      2021-04-12
      那开发工具那里选什么,都不影响线上吧,刚好看到project.config.json跟着改变了
      2021-04-12
      回复
    • 鲤子
      鲤子
      2021-04-12回复Evergreen

      你没发布上线,不会有影响。

      2021-04-12
      回复
    • Evergreen
      Evergreen
      2021-04-12回复鲤子
      已经发了,就是发了才发现,调试那里选的是2.9.5
      2021-04-12
      回复
    • 鲤子
      鲤子
      2021-04-12回复Evergreen

      开发环境跟线上没冲突的,线上的自己登录后来去设置最低基础库,不然微信版本低了,你代码用了不匹配的基础库就会异常。

      2021-04-12
      回复
登录 后发表内容
问题标签